package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 社区
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_community")
@ApiModel(value = "社区")
public class Community extends BaseEntity {

    @TableId
    @ApiModelProperty(value = "社区id")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "租户id")
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区图片
     */
    @ApiModelProperty(value = "社区图片")
    private String imageUrl;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称")
    private String communityName;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 社区标签id
     */
    @ApiModelProperty(value = "社区标签")
    private Integer communityTag;

    /**
     * 社区类型 0免费 1付费
     */
    @ApiModelProperty(value = "社区类型")
    private Integer type;

    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private Double price;

    /**
     * 有效期天数
     */
    @ApiModelProperty(value = "有效期天数")
    private Integer validityDay;



}
