package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 社区通知
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_advice")
public class CommunityAdvice extends BaseEntity {

    @TableId
    private Long id;
    /**
     * 租户id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;
    /**
     * 社区id
     */
    private Long communityId;
    /**
     * 发送人
     */
    private Long sendUserId;
    /**
     * 通知类型 0社区通知 1回复我的 2待我回复 3点赞
     */
    private Integer adviceType;
    /**
     * 通知人
     */
    private Long userId;
    /**
     * 标题
     */
    private String title;
    /**
     * 通知内容
     */
    private String content;
    /**
     * 是否已读
     */
    private String isRead;



}
