package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 社区文件表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_community_file")
@NoArgsConstructor
@AllArgsConstructor
public class CommunityFile extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 租户id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 文件对象key
     */
    private String objectKey;

    /**
     * 文件大小
     */
    private Long fileSize;



}
