package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Date;

/**
 * 社区用户
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_community_user")
@ApiModel(value = "社区用户")
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CommunityUser extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户id
     */
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户类型 0成员 1管理员 2群主
     */
    private Integer userType;

    /**
     * 邀请类型id
     */
    private Long inviteId;

    /**
     * 加入社区时的价格
     */
    private Double communityPrice;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 是否拉黑 0否 1是
     */
    private String isBlack;

    /**
     * 拉黑原因
     */
    private String blackReason;

    /**
     * 拉黑结束时间
     */
    private Date blackEndTime;

}
