package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.*;

/**
 * 举报表
 */

@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@TableName("cc_report")
public class PublishReport extends BaseEntity {

    private Long id;

    /**
     * 租户id
     */
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 发布id
     */
    private Long publishId;

    /**
     * 举报人
     */
    private Long userId;

    /**
     * 举报类型 字典值
     */
    private Long reportType;

    /**
     * 举报内容
     */
    private Long content;

    /**
     * 状态（0未处理 1已处理 )
     */
    private Long status;


}
