package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 拉黑请求参数
 */
@Data
@ApiModel(value = "拉黑请求参数")
public class BlackListRes {
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;

    /**
     * 拉黑用户id
     */
    @ApiModelProperty(value = "拉黑用户id", required = true)
    @NotNull(message = "拉黑用户id不能为空")
    private Long userId;

    /**
     * 拉黑时长
     */
    @ApiModelProperty(value = "拉黑时长", required = true)
    @NotNull(message = "拉黑时长不能为空")
    private Integer blackDay;

    /**
     * 拉黑原因
     */
    @ApiModelProperty(value = "拉黑原因", required = true)
    @NotBlank(message = "拉黑原因不能为空")
    private String blackReason;
}
