package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

/**
 * 社区文件列表请求参数
 */
@Data
@ApiModel(value = "社区文件列表请求参数")
@EqualsAndHashCode(callSuper = true)
public class CommunityFilePageListRes extends PageDomain {

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;

    /**
     * 查询条件
     */
    @ApiModelProperty(value = "查询条件")
    private String search;



}
