package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 社区请求参数
 */
@Data
@ApiModel(value = "社区请求参数")
public class CommunityUploadFileRes {

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;

    /**
     * 文件url
     */
    @ApiModelProperty(value = "文件url", required = true)
    @NotBlank(message = "文件url不能为空")
    private String fileUrl;

    /**
     * 文件对象key
     */
    @ApiModelProperty(value = "文件对象key", required = true)
    @NotBlank(message = "文件对象key不能为空")
    private String objectKey;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名", required = true)
    @NotBlank(message = "文件名不能为空")
    private String fileName;

    /**
     * 文件大小
     */
    @ApiModelProperty(value = "文件大小", required = true)
    @NotNull(message = "文件大小不能为空")
    private Long fileSize;



}
