package com.mcwl.communityCenter.domain.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 编辑社区参数
 */
@Data
@ApiModel(value = "编辑社区参数")
public class EditCommunityRes {

    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long id;

    /**
     * 社区图片
     */
    @ApiModelProperty(value = "社区图片")
    private String imageUrl;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称", required = true)
    @NotBlank(message = "社区名称不能为空")
    private String communityName;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 社区标签id
     */
    @ApiModelProperty(value = "社区标签", required = true)
    @NotNull(message = "社区标签不能为空")
    private Integer communityTag;

    /**
     * 社区类型 0免费 1付费
     */
    @ApiModelProperty(value = "社区类型", required = true)
    @NotNull(message = "社区类型不能为空")
    private Integer type;

    /**
     * 价格
     */
    @ApiModelProperty(value = "价格", required = true)
    @NotNull(message = "价格不能为空")
    private Double price;

    /**
     * 有效期天数
     */
    @ApiModelProperty(value = "有效期天数", required = true)
    @NotNull(message = "有效期天数")
    private Integer validityDay;



}
