package com.mcwl.communityCenter.domain.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 我的发布
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "我的发布分页请求参数")
public class MyPublishCollectPageRes extends PageDomain {

    /**
     * 租户id
     */
    @NotNull(message = "租户id不能为空")
    @ApiModelProperty(value = "租户id", required = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @NotNull(message = "社区id不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;


}
