package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * 个人主页分页请求参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "个人主页分页请求参数")
public class PersonHomePageRes extends PageDomain {

    /**
     * 租户id
     */
    @NotNull(message = "租户id不能为空")
    @ApiModelProperty(value = "租户id", required = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @NotNull(message = "社区id不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;

    /**
     * 类型 0 我的发布 1 我的问答 2 我的收藏
     */
    @NotNull(message = "类型不能为空")
    @ApiModelProperty(value = "类型 0 我的发布 1 我的问答 2 我的收藏", required = true)
    private Integer type;

}
