package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 收藏/取消收藏请求参数
 */
@Data
@ApiModel(value = "收藏/取消收藏请求参数")
@NoArgsConstructor
@AllArgsConstructor
public class PublishCollectRes {

    /**
     * 租户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    @NotNull(message = "用户id不能为空")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;

    /**
     * 发布id
     */
    @ApiModelProperty(value = "发布id", required = true)
    @NotNull(message = "发布id不能为空")
    private Long publishId;
}
