package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 举报请求参数
 */
@Data
@ApiModel(value = "举报请求参数")
public class PublishReportRes {

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;

    /**
     * 发布id
     */
    @ApiModelProperty(value = "发布id", required = true)
    @NotNull(message = "发布id不能为空")
    private Long publishId;

    /**
     * 举报类型
     */
    @ApiModelProperty(value = "举报类型", required = true)
    @NotNull(message = "举报类型不能为空")
    private Integer reportType;

    /**
     * 举报内容
     */
    @ApiModelProperty(value = "举报内容")
    private String content;

}
