package com.mcwl.communityCenter.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 评论区评论
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(description = "评论区评论")
public class CommentVo {

    @ApiModelProperty(value = "评论id")
    private Long id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String userName;

    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String userAvatar;

    /**
     * 回复人名称
     */
    @ApiModelProperty(value = "回复人名称")
    private String replyUserName;

    /**
     * 父评论id
     */
    @ApiModelProperty(value = "父评论id")
    private Long parentId;

    /**
     * 评论内容
     */
    @ApiModelProperty(value = "评论内容")
    private String content;

    /**
     * 是否点赞
     */
    @ApiModelProperty(value = "是否点赞")
    private Integer isLike;

    /**
     * 评论点赞数
     */
    @ApiModelProperty(value = "评论点赞数")
    private Integer likeNum;

    /**
     * 是否接受
     */
    @ApiModelProperty(value = "是否接受")
    private Integer isAccept;

    /**
     * 评论时间
     */
    @ApiModelProperty(value = "评论时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

}
