package com.mcwl.communityCenter.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 社区通知返回数据
 */
@Data
@ApiModel(value = "社区通知返回数据")
public class CommunityAdviceVo {

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    /**
     * 发送人
     */
    @ApiModelProperty(value = "发送人")
    private Long sendUserId;

    /**
     * 发送人名称
     */
    @ApiModelProperty(value = "发送人名称")
    private String sendUserName;

    /**
     * 发送人头像
     */
    @ApiModelProperty(value = "发送人头像")
    private String sendUserAvatar;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 是否已读
     */
    @ApiModelProperty(value = "是否已读")
    private Integer isRead;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;



}
