package com.mcwl.communityCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 社区文件返回数据
 */
@Data
@ApiModel(value = "社区文件返回数据")
public class CommunityFileVo {

    /**
     * 社区文件id
     */
    @ApiModelProperty(value = "社区文件id")
    private Long id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    /**
     * 文件大小
     */
    @ApiModelProperty(value = "文件大小")
    private Long fileSize;

    /**
     * 上传人
     */
    @ApiModelProperty(value = "上传人")
    private String uploadUserName;


    /**
     * 下载记录
     */
    @ApiModelProperty(value = "用户下载记录")
    private DownloadFileUserVo downloadFileUser;


    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


}
