package com.mcwl.communityCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 社区返回数据
 */
@Data
@ApiModel(value = "社区返回数据")
public class CommunityVo {

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型")
    private Integer userType;

    /**
     * 社区图片
     */
    @ApiModelProperty(value = "社区图片")
    private String imageUrl;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称")
    private String communityName;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private Double price;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String avatar;

    /**
     * 用户昵称
     */
    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    /**
     * 创建天数
     */
    @ApiModelProperty(value = "创建天数")
    private Long createDay;

    /**
     * 加入人数
     */
    @ApiModelProperty(value = "加入人数")
    private Integer joinNum;

    /**
     * 发布数量
     */
    @ApiModelProperty(value = "发布数量")
    private Integer publishNum;

    /**
     * 是否加入
     */
    @ApiModelProperty(value = "是否加入")
    private Integer isJoin;


}
