package com.mcwl.communityCenter.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * 收益列表vo
 */
@Data
@Builder
@ApiModel(description = "收益列表vo")
public class IncomeInfoListVo {

    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String userName;

    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String avatar;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称")
    private String communityName;

    /**
     * 收益类型
     */
    @ApiModelProperty(value = "收益类型")
    private Integer type;

    /**
     * 收益金额
     */
    @ApiModelProperty(value = "收益金额")
    private Double amount;

    /**
     * 收益时间
     */
    @ApiModelProperty(value = "收益时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;



}
