package com.mcwl.communityCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 个人中心vo
 */
@Data
@ApiModel(description = "个人中心vo")
public class PersonHomeVo {

    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String userName;

    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String avatar;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;


    /**
     * 文件url
     */
    @ApiModelProperty(value = "文件url")
    private String fileUrl;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 图片url
     */
    @ApiModelProperty(value = "图片url")
    private String imageUrl;


    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 是否点赞
     */
    @ApiModelProperty(value = "是否点赞")
    private Integer isLike;


    /**
     * 是否收藏
     */
    @ApiModelProperty(value = "是否收藏")
    private Integer isCollect;

    /**
     * 评论
     */
    @ApiModelProperty(value = "评论")
    private List<CommentVo> commentList;

    /**
     * 是否匿名
     */
    @ApiModelProperty(value = "是否匿名")
    private Integer isAnonymous;

    /**
     * 提问类型 0免费 1付费
     */
    @ApiModelProperty(value = "提问类型 0免费 1付费")
    private Integer type;

    /**
     * 付费金额 当提问类型为付费时必填
     */
    @ApiModelProperty(value = "付费金额 当提问类型为付费时必填")
    private Double amount;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;



}
