package com.mcwl.communityCenter.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import springfox.documentation.annotations.ApiIgnore;

import java.util.Date;
import java.util.List;

/**
 * 发布信息
 */
@Data
@ApiModel(description = "发布信息")
public class PublishVo {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 用户id - 租户id
     */
    @ApiModelProperty(value = "租户id", hidden = true)
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String userName;

    /**
     * 头像
     */
    @ApiModelProperty(value = "头像")
    private String avatar;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 发布图片
     */
    @ApiModelProperty(value = "发布图片")
    private String imageUrl;

    /**
     * 文件url
     */
    @ApiModelProperty(value = "文件url")
    private String fileUrl;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 是否点赞
     */
    @ApiModelProperty(value = "是否点赞")
    private Integer isLike;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    /**
     * 评论数
     */
    @ApiModelProperty(value = "评论数")
    private Integer commentNum;

    /**
     * 精选
     */
    @ApiModelProperty(value = "精选")
    private Integer isElite;

    /**
     * 收藏
     */
    @ApiModelProperty(value = "收藏")
    private Integer isCollect;

    /**
     * 评论
     */
    @ApiModelProperty(value = "评论")
    private List<CommentVo> commentList;


    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;



}
