package com.mcwl.communityCenter.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@ApiModel(description = "问题信息")
public class QuestionVo {


    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 提问用户id
     */
    @ApiModelProperty(value = "提问用户id")
    private Long questionUserId;

    /**
     * 提问用户名
     */
    @ApiModelProperty(value = "提问用户名")
    private String questionUserName;

    /**
     * 提问用户头像
     */
    @ApiModelProperty(value = "提问用户头像")
    private String questionUserAvatar;

    /**
     * 提问内容
     */
    @ApiModelProperty(value = "提问内容")
    private String content;

    /**
     * 提问图片
     */
    @ApiModelProperty(value = "提问图片")
    private String questionUrl;

    /**
     * 评论
     */
    @ApiModelProperty(value = "评论")
    private List<QuestionCommentVo> commentList;

    /**
     * 是否匿名
     */
    @ApiModelProperty(value = "是否匿名")
    private Integer isAnonymous;

    /**
     * 提问类型 0免费 1付费
     */
    @ApiModelProperty(value = "提问类型 0免费 1付费")
    private Integer type;

    /**
     * 付费金额 当提问类型为付费时必填
     */
    @ApiModelProperty(value = "付费金额 当提问类型为付费时必填")
    private Double amount;

    /**
     * 提问时间
     */
    @ApiModelProperty(value = "提问时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;



}
