package com.mcwl.memberCenter.domain.dto;

import com.mcwl.memberCenter.enums.MemberPeriodicEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 添加会员等级请求对象
 */
@Data
@ApiModel(description = "添加会员等级请求对象")
public class AddMemberLevelDto {

    // 会员名称
    @NotBlank(message = "会员名称不能为空")
    @ApiModelProperty(value = "会员名称", required = true)
    private String memberName;

    // 会员价格
    @NotNull(message = "会员价格不能为空")
    @ApiModelProperty(value = "会员价格", required = true)
    private Double unitPrice;

    // 会员原价
    @NotNull(message = "会员原价不能为空")
    @ApiModelProperty(value = "会员原价", required = true)
    private Double originalPrice;

    // 订阅周期（年，季度，月，包月）
    @NotNull(message = "订阅周期不能为空")
    @ApiModelProperty(value = "订阅周期（年 year，季度 quarter，月 month，包月 continueMonth）", required = true)
    private MemberPeriodicEnum subscriptionPeriod;
}
