package com.mcwl.memberCenter.domain.dto;

import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 权益
 */
@Data
@ApiModel(description = "权益")
public class EditBenefitDto {
    /**
     * 权益id
     */
    @ApiModelProperty(value = "权益id", required = true)
    @NotNull(message = "权益id不能为空")
    private Long id;
    /**
     * 权益描述
     */
    @ApiModelProperty(value = "权益描述")
    private String benefitDesc;
    /**
     * 权益类型
     */
    @ApiModelProperty(value = "权益类型", required = true)
    @NotNull(message = "权益类型不能为空")
    private MemberBenefitTypeEnum benefitType;
    /**
     * 权益折扣，当权益类型为折扣时，记录折扣具体数值
     */
    @ApiModelProperty(value = "权益折扣，当权益类型为折扣时，记录折扣具体数值", required = true)
    @NotNull(message = "权益折扣不能为空")
    private Double benefitDiscount;
    /**
     * 单位
     */
    @NotBlank(message = "单位不能为空")
    @ApiModelProperty(value = "单位")
    private String benefitUnit;


}
