package com.mcwl.memberCenter.domain.dto;

import com.mcwl.common.domain.IdsParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 会员权益关联表
 */
@Data
@ApiModel(description = "会员权益关联")
public class MemberBenefitDto {

    // 会员等级id
    @NotNull(message = "会员等级id不能为空")
    @ApiModelProperty(value = "会员等级id", required = true)
    private Long memberLevelId;

    // 权益id
    @NotNull(message = "权益id数组不能为空")
    @ApiModelProperty(value = "权益id数组", required = true)
    private List<Long> benefitIds;


}
