package com.mcwl.memberCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 积分获取记录
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(description = "积分获取记录")
public class RechargeRecordVO {


    private Long id;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;


    /**
     * 获取来源
     */
    private String getSource;

    /**
     * 充值金额
     */
    @ApiModelProperty(value = "充值金额")
    private Double amount;

    /**
     * 获取到的积分
     */
    @ApiModelProperty(value = "获取到的积分")
    private Double points;

    /**
     * 有效期开始时间
     */
    @ApiModelProperty(value = "有效期开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date effectStartTime;

    /**
     * 有效期结束时间
     */
    @ApiModelProperty(value = "有效期结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date effectEndTime;

    /**
     * 积分获取时间
     */
    @ApiModelProperty(value = "积分获取时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date rechargeTime;

}
