package com.mcwl.myInvitation.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 金币消费记录
 */
@Data
@ApiModel(value = "金币消费记录")
public class ConsumeVo {
    private Long id;

    // 用户id
    @ApiModelProperty(value = "用户id")
    private Long userId;

    // 消费金额
    @ApiModelProperty(value = "消费金额")
    private Double amount;

    // 商品名称
    @ApiModelProperty(value = "商品名称")
    private String productName;

    /**
     * 剩余金币
     */
    @ApiModelProperty(value = "剩余金币")
    private Double wallet;

    // 消费时间
    @ApiModelProperty(value = "消费时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date consumeDate;
}
