package com.mcwl.pay.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 商品 购买记录表
 *
 * @author DaiZibo
 * @date 2025/3/28
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class ModelPurchaseRecord {

    private Long id;

    private Long productId;

    private Integer productType;

    private Long userId;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

}
