package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 收藏表
 *
 * @author DaiZibo
 * @date 2025/3/5
 * @apiNote
 */

@TableName("collect")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class Collect {

    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "作品ID")
    private Long productId;

    @ApiModelProperty(value = "收藏人")
    private Long userId;

    @ApiModelProperty(value = "收藏类型 0模型 1工作流")
    private Integer collectType;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "作品的类型")
    private Integer productType;

}
