package com.mcwl.resource.domain.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 模型库出参
 * @author DaiZibo
 * @date 2025/3/12
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class ResponseCollect {

    @ApiModelProperty(value = "版本id")
    private Long id;

    @ApiModelProperty(value = "封面图")
    private String filePath;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "加密后文件名")
    private String encryptionFileName;

    @ApiModelProperty(value = "是否加密  0不加密 1加密")
    private Integer isEncrypt;

    @ApiModelProperty(value = "模型名")
    private String productName;

    @ApiModelProperty(value = "作者名")
    private String nickName;

    @ApiModelProperty(value = "文件大小")
    private Long fileSize;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty(value = "基础低模")
    private String type;

    @ApiModelProperty(value = "是否下载")
    private Integer isDownload;

    @ApiModelProperty(value = "触发词")
    private String triggerWords;

}
